Bug 646997 (CVE-2010-3765) - CVE-2010-3765 Firefox race condition flaw (MFSA 2010-73)
Summary: CVE-2010-3765 Firefox race condition flaw (MFSA 2010-73)
Status: CLOSED ERRATA
Alias: CVE-2010-3765
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101028,reported=20101026,sou...
Keywords: Security
Depends On: 646998 646999 647000 647001 647002 647003 647072 647073 647074
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-26 19:38 UTC by Josh Bressers
Modified: 2018-03-01 16:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-20 12:33:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0808 normal SHIPPED_LIVE Critical: firefox security update 2010-10-27 23:23:49 UTC
Red Hat Product Errata RHSA-2010:0809 normal SHIPPED_LIVE Critical: xulrunner security update 2010-10-27 23:23:34 UTC
Red Hat Product Errata RHSA-2010:0810 normal SHIPPED_LIVE Critical: seamonkey security update 2010-10-27 23:59:09 UTC
Red Hat Product Errata RHSA-2010:0812 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-10-29 02:51:18 UTC
Red Hat Product Errata RHSA-2010:0861 normal SHIPPED_LIVE Critical: firefox security update 2010-11-09 19:05:41 UTC
Red Hat Product Errata RHSA-2010:0896 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-11-17 15:19:33 UTC

Description Josh Bressers 2010-10-26 19:38:57 UTC
A race condition exists in Firefox's handling of DOM element (tags)
properties. Malicious HTML content could use this flaw to execute arbitrary
code as the user running Firefox.

This flaw does not affect the versions of SeaMonkey or Thunderbird shipped
in Red Hat Enterprise Linux 3, 4, or 5.

Comment 8 Vincent Danen 2010-10-27 22:38:36 UTC
This is now live:

http://www.mozilla.org/security/announce/2010/mfsa2010-73.html

Comment 9 errata-xmlrpc 2010-10-27 23:23:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0809 https://rhn.redhat.com/errata/RHSA-2010-0809.html

Comment 10 errata-xmlrpc 2010-10-27 23:23:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0808 https://rhn.redhat.com/errata/RHSA-2010-0808.html

Comment 11 errata-xmlrpc 2010-10-27 23:59:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0810 https://rhn.redhat.com/errata/RHSA-2010-0810.html

Comment 12 errata-xmlrpc 2010-10-29 02:51:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0812 https://rhn.redhat.com/errata/RHSA-2010-0812.html

Comment 13 errata-xmlrpc 2010-11-10 18:59:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0861 https://rhn.redhat.com/errata/RHSA-2010-0861.html

Comment 14 errata-xmlrpc 2010-11-17 15:20:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0896 https://rhn.redhat.com/errata/RHSA-2010-0896.html


Note You need to log in before you can comment on or make changes to this bug.